/*  -r1.7 sdlcdriver.c
    @(#) module: sdlcdriver.c, version: 1.7, retrieved: 01/12/07 11:18:52 */

#include <stdio.h>
#include <stdlib.h>
#include <termio.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <fcntl.h>
#include <poll.h>
#include <signal.h>
#include <stropts.h>
#include "sdlcmain.h"

WORD ParDataTb[] = {0, PARODD};
WORD ParAddrTb[] = {PARODD, 0};

void MakeParityTb(BYTE Table[])
{
	register BYTE j, k, i;

	j = 0;
	do {
		for (i=j, k=0; i > 0; i >>= 1)
			if (i & BIT0)
				k++;
		if (k & BIT0)
			*(Table+j) = 1;
		else *(Table+j) = 0;
		j++;
	} while (j);
}

/*
 * This function is a template for building a dedicated device driver.
 * Mode:	Returns:
 * --------	--------------------------------------------
 * sdSRead: effective length of received frame.
 */
int sdlc(BYTE Mode, BYTE Buf[])
{
	return(Mode);
}
